Subject: libpq5 error

From: Paul Brindusa <[email-masked]>
Date: Mon, 7 Oct 2024 14:45:01 +0100

Good afternoon,

I have got a rocky 9.4 VM running psql (PostgreSQL) 15.8  version and
recently unable to patc h the host due to a version mismatch of libpq5
package.

The updates get stuck when trying to install the following packages:

 libpq5                                                  x86_64
                      17.0-42PGDG.rhel9
     pgdg-common                                   352 k
pgdg-redhat-repo                                        noarch
                      42.0-46PGDG
     pgdg-common                                    12 k

If I disable the pg repo file in /etc/yum.repos.d they are omitted. Is
there a fix to this issue?

Thank you in advance for any help you can provide.

Kind regards,
Paul

---

From: Adrian Klaver <[email-masked]>
Date: Mon, 7 Oct 2024 08:10:50 -0700

> recently unable to patc h the host due to a version mismatch of libpq5 

The above is somewhat confusing to me. You say that Postgres is running 
in a VM, but then say you are patching the host. To me that implies 
patching the host machine that the VM is being run on. Please explain 
this is more detail.

> The updates get stuck when trying to install the following packages:

Is this an update to an existing install that came from the PGDG repo?

What is the complete error message you get?

-- 
Adrian Klaver
[email-masked]
. To me

---

From: Adrian Klaver <[email-masked]>
Date: Mon, 7 Oct 2024 08:44:50 -0700

On 10/7/24 08:23, Paul Brindusa wrote:

Please reply to list also.
Ccing list.

> Hi Adrian,
> 
> Thank you for your quick response,

I'm guessing(because I don't use RH and variants) that the below is 
related to:

https://yum.postgresql.org/news/rocky-9-8-llvm-repo-is-available/

In particular this part:

"Rocky Linux and AlmaLinux, which lags slightly behind RHEL, is also 
significantly affected by this breakage, blocking PostgreSQL minor 
updates. This is the problem that needs to be solved."

Hopefully, someone who is more knowledge about this can confirm.

> 
> Yes, the postgres(version 15.8) instance is running on a rocky 9.4 VM 
> which when trying to patch.
> When running dnf update the below 2 packages get pushed through the 
> system updates:
> 
> pgdg-redhat-repo                                        noarch           
>                          42.0-46PGDG                                     
>             pgdg-common                                    12 k
> libpq5                                                  x86_64           
>                          17.0-42PGDG.rhel9                               
>                pgdg-common                                   352 k
> 
> And these packages stop the update of the host with the following error:
> 
> Unknown Error occurred: Transaction test error:\n file 
> /usr/share/pgsql/postgres.bki from install of 
> libpq5-17.0-42PGDG.rhel9.x86_64 conflicts with file from package 
> postgresql-server-15.8-1.module+el9.4.0+25512+c6b50a48.x86_64\n file 
> /usr/share/pgsql/system_constraints.sql from install of 
> libpq5-17.0-42PGDG.rhel9.x86_64 conflicts with file from package 
> postgresql-server-15.8-1.module+el9.4.0+25512+c6b50a48.x86_64\n.
> 
> Apologies for the bad description in the initial message but I did not 
> find the error that was getting.
> Hope this makes more sense.
> 
> Kind Regards,
> Paul
> 
> 
> On Mon, Oct 7, 2024 at 4:10 PM Adrian Klaver <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     [email-masked] <mailto:[email-masked]>
>     . To me
> 
> 
>

---

From: Devrim Gündüz <[email-masked]>
Date: Tue, 08 Oct 2024 08:44:52 +0100

Hi,

> The updates get stuck when trying to install the following packages:

Packager speaking: It means libpq5 is built using PostgreSQL 17.0 and it
is backwards compatible with PostgreSQL 15. So it is ok to install it.

Regards,
-- 
Devrim Gündüz
Open Source Solution Architect, PostgreSQL Major Contributor
Twitter: @DevrimGunduz , @DevrimGunduzTR